Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001371Dwarf FortressAdventure Mode -- Travelpublic2010-04-20 11:372018-06-03 19:05
Reporterzombiejustice 
Assigned ToDwarfu 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionduplicate 
PlatformIBM-compatibleOSWinXPOS VersionSP2
Product Version0.31.03 
Target VersionFixed in Version 
Summary0001371: "Nemesis Unit Load Failed" (from elves?)
DescriptionWhen my adventurer tries to enter an elven settlement, the game crashes with error message "Nemesis Unit Load Failed".
Steps To ReproduceI have a save of this, but nowhere to upload it. In this save, just transport the adventurer to the nearby Forest Retreat with fast travel, and then try to enter the site.
Additional InformationSaves:

http://dffd.wimbli.com/file.php?id=5737 [^] 34.03 Khym Chanur, below
http://dffd.wimbli.com/file.php?id=6511 [^] from peetaur, below
http://dffd.wimbli.com/file.php?id=9312 [^] 40.03 from KtosoX, below
http://dffd.wimbli.com/file.php?id=9563 [^] 40.09 from zlobtheking, below
http://dffd.bay12games.com/file.php?id=10901 [^] 40.24 from Witty, below
http://dffd.bay12games.com/file.php?id=11625 [^] 42.04 from grayfox 0009453
http://dffd.bay12games.com/file.php?id=11628 [^] from grayfox, below
http://dffd.bay12games.com/file.php?id=12059 [^] 43.02 from Shonai Dweller, below
http://dffd.bay12games.com/file.php?id=12969 [^] 43.05 from 4dplanner 0010251
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0009985resolvedToady One FATAL ERROR - Nemesis Unit Load Failed 
has duplicate 0001719closedFootkerchief Nemesis Unit Load Failure 
has duplicate 0002070closedFootkerchief Nemesis Unit Load Failed error 
has duplicate 0002547resolvedFootkerchief Nemsis load unit failed: crash 
has duplicate 0005342resolvedFootkerchief Game crashes 
has duplicate 0005420resolvedLogical2u Unexplained crash to desktop 
has duplicate 0005486resolvedFootkerchief Nemesis Unit Load Failed 
has duplicate 0006232resolvedDwarfu nemesis unit load failed 
has duplicate 0006369resolvedFootkerchief When entering town, crashes every time 
has duplicate 0008489resolvedFootkerchief Crash with message "Nemesis Load System Failed" 
has duplicate 0009453resolvedKnight Otu Nemesis Unit Load Fail 
has duplicate 0010251resolvedDwarfu Crash on nearing retired fortress 
has duplicate 0010644resolvedLoci Nemesis load error in dwarf settlement 
has duplicate 0010649resolvedLoci Nemesis Unit load failed after df version change 
related to 0002422newFootkerchief Crash on reclaim: Extra Item Occupancy 
related to 0006463assignedFootkerchief Crash on save, does not save 
related to 0008228new Player fort crashes on visit, Nemesis fatal error 

-  Notes
(0004368)
Footkerchief (manager)
2010-04-20 12:16

This is an old bug that Toady's never been able to track down. If you had autobackups turned on, you may be able to restore your save to working condition: http://www.bay12forums.com/smf/index.php?topic=34936.0 [^]
(0004382)
zombiejustice (reporter)
2010-04-20 14:17

Yeah, I can't walk into the site either.

I'm not that invested in the world; I was planning to gen a new one after the next bugfix comes out. Let me know if the save would help.
(0004384)
Footkerchief (manager)
2010-04-20 14:38

In the past the saves haven't been useful -- the save has already been corrupted, with no way to track down the cause. Thanks for asking though.
(0009565)
Murphy (reporter)
2010-07-03 03:22
edited on: 2010-07-03 03:37

I recall being able to workaround the bug in 40d by disabling all liaisons via modding. Should try the same in this version too.

EDIT: wait, I don't remember humans having any diplomats or guild representatives for trade agreements, and the game crashes on a human city anyway. So my workaround is out of question :(

(0009569)
Footkerchief (manager)
2010-07-03 05:05

Murphy also mentioned at at 0002422:0009559 that he got this crash immediately after getting an Extra Item Occupancy crash. Possibly a clue.
(0009603)
Murphy (reporter)
2010-07-03 20:45
edited on: 2010-07-03 21:27

There wasn't an Extra Item Occupancy _crash_. Just two nemesis crashes and the last line in errorlog was "extra item occupancy".

update: dug up old saves and tested them. It appears that the save got corrupted only about two game years ago. Can't think of a reason - there were hardly any significant events that year.

(0010328)
Murphy (reporter)
2010-07-15 03:10

Just noticed an "Extra item occupancy" in my errorlog, but when I tried abandoning and going to adventure, it appears the save wasn't corrupted. I have to note that when I was getting this crash, I was using compressed saves, and now I don't.
(0014181)
DarthCloakedDwarf (reporter)
2010-11-23 12:01

Still occurring in .17, unfortunately.
(0014557)
kwieland (reporter)
2010-12-12 18:32

Looks like I need to generate a new world. I never had a world crash at gen, but this one did. I should have known something was up!
(0020893)
Khym Chanur (reporter)
2012-02-28 22:31

Got an example right here with a world gen'd with 0.34.03: http://dffd.wimbli.com/file.php?id=5737 [^]

Just press ">" and you'll get a Nemesis crash from trying to enter a human hamlet.
(0021391)
Nomlets (reporter)
2012-03-11 19:29

It would seem that one of the more main causes of this bug(from reading the descriptions of other ones, that were in more detail), would be elves. I am unsure of this, however, because of Khym Chanur's note, saying the Nemesis crash from a human hamlet.
I suggest asking others who had this bug to recall what was season it was(Dwarf Fortress mode), where they were going(adventurer mode), ect.
(0021393)
Footkerchief (manager)
2012-03-11 20:05

Interesting hypothesis. I'm going to look through the old Bug Reports forum and see how that's borne out. Elves can migrate to human settlements in world gen, so that doesn't rule anything out.
(0021671)
XxoriginxX (reporter)
2012-03-22 21:46

Just happened to me in 34.05. Just recently turned summer in the first year, with no RAW editing. It may have been a migrant thing. Going to try again, and see if the migrant wave causes the issue.
(0021672)
XxoriginxX (reporter)
2012-03-22 22:15

Strange... it did not happen the second time.
(0022320)
se5a (reporter)
2012-04-20 15:41

I'm getting this fairly regularly on my current fortress.
I can reload and go a few seasons more, then it happens again.
I don't *think* it's related to elves in my case, since the last time this happened the hippy traders just left (unless their liaison came after?)

my save folder seems to have the full complement of files, so the thread that footkerchief linked to does not appear to be relevant.
(0022445)
abramul (reporter)
2012-05-06 21:16

I've been getting this after abandoning a tantrum spiral. However, after deciding to start a new fort after this knocked my reclaim attempt back to near the beginning, it hit that new fort too, so it's not only on reclaim.

My suspicion is that it's something to do either with relationships between migrants from my old fort, or animals/NPCs who acquired a title for kills at the old fort. Of course, that's just a guess.

For now, on to a new world, and I'll get everyone killed before considering abandoning again.
(0022461)
se5a (reporter)
2012-05-10 11:41

yeah I'm starting to suspect it's something with migrants too.
since on a reload I tend to get migrants at around the same point that it crashed previously.
(0022463)
Quietust (reporter)
2012-05-11 05:48
edited on: 2012-05-11 05:49

In case you're wondering, the "nemesis unit load failed" error message means that one of the unit-*.dat files in your fortress's directory (specifically, the one that contains a particular historical figure, generally one you've met previously) is either missing or corrupted.

(0022944)
Detros (manager)
2012-06-10 12:50

I got this today in a two-year fortress (my 2nd one on that world) after surviving first goblin siege. According to my last save it happened during spring (those elves :D ) just around the time my miners managed to get a tunnel with river water to the border of map.

Instead of autosaving I was copying folders manually and according to forum (http://www.bay12forums.com/smf/index.php?topic=34936.0 [^]) it is not a good idea to do such things while game is running. But interesting is that both pre-siege and after-siege-and-crash saves have the same number of files.

I will try to continue and see what happens next.
(0023028)
peetaur (reporter)
2012-06-16 13:16

I have a save where this happens in fortress mode, in version 34.11. The save was created with 34.08. (file available on request)

It is happening sometime during/after spring. And when this year started, a message box announcement popped up saying I entered the golden age. I don't know if that is related. My fort is 20 years old at the date of the crash (is that all a golden age is?).

I've mercilessly slaughtered the elves and seized their goods a few times... so I wouldn't doubt they would start attacking. And spring is their time for trade, so maybe attack too. So this seems to match the elves theory stated by others.

Also, I had my pop limit set to 80, and have 85 population, but some time last year, I changed the limit to 100, with no immigrants since. So it could be migrants related too.
(0023036)
peetaur (reporter)
2012-06-17 11:04

Okay, here is my save, saved very close to the point when it crashes:

http://dffd.wimbli.com/file.php?id=6511 [^] 22.2 MB
(0024267)
MeisBarry (reporter)
2014-01-12 11:46

I just received this error in the same situation as abramul did on v0.34.11. I'm running on Linux, Fortress Mode. I'm getting this error repeatedly in a fortress after having abandoned a previous fortress in the same region.
(0028445)
KtosoX (reporter)
2014-08-06 07:39

I've managed to get the Nemesis crash while walking through an elven settlement in Adventure Mode. Game mode is 0.40.03
http://dffd.wimbli.com/file.php?id=9312 [^]
(0029157)
edmus (reporter)
2014-08-16 22:16

i get this error when trying to enter my retired fort in adv mode.
(0029802)
zlobtheking (reporter)
2014-08-30 09:51

Here's a save that reliably reproduces Nemesis Fail error.

There's a dwarven fortress Holycrypts I created some time ago. Now I retired it. I wanted to create a dwarven adventurer and Holycrypts was the only fortress available.
The game crashes whenever I try to create a dwarven adventurer, and everytime I try to enter the site as other race (human) adventurer, so I guess the game cannot load the site.

The fortress was created in 40.09.

http://dffd.wimbli.com/file.php?id=9563 [^]
(0032756)
Witty (reporter)
2015-06-02 18:44

Just encountered this for .40.24
Save here: http://dffd.bay12games.com/file.php?id=10901 [^]

You'll be in the keep of the local lord, any attempt to enter the town just to the right will cause the crash. This was probably one of the more impressive sites I'd ever seen, so it's kind of a shame.
(0034351)
Knight Otu (manager)
2016-01-07 14:55

grayfox posted a 0.42.04 save at 0009453.
(0034353)
Detros (manager)
2016-01-07 15:28

I loaded grayfox' save in my vanilla DF 0.42.04 and found that:
- It is fort mode, winter of year 258. 80ish inhabitants, 70+ visitors and a flock of albatrosses.
- There is metric crapton of trees on the surface. DF eats my RAM raw.
- "item inaccessible" warning spam going on even though no civilian alert and even no burrows are set. Maybe they want to get to all those things on the surface - there seems to be no path from bed/door stockpile (I tried building those upstairs) but I didn't really figure the whole layout, lots of windy paths.
- One level of caverns is breached. 15ish books/scrolls, no real artifact.
- No crashes occurred in few days.

When did that loadfailing happen to you, grayfox? What were you doing during that time?
(0034354)
grayfox (reporter)
2016-01-07 18:06
edited on: 2016-01-07 22:12

I had the surface blocked off after my defenses failed. They probably want the items on the surface. I wasn't going to allow them there until I could make it safe, but there's a lumber supply problem.

There should be several artifacts listed below the books and scrolls.

from what I can remember...
- Avuz Erushkathil, militia captain is "one of the first of her kind"... so I'm guessing it means she was born at worldgen. She became a werefox when one attacked my fortress. When the crash happened, Avuz (not werefox form at that moment) was killing a bunch of visitors on the surface. I'm not sure why. I had the dwarf separated from everyone else, but she escaped... just to kill a bunch of visitors...?
- A dwarf may have just been finishing an artifact when the crash happened, I don't know for sure.
- I think the werefox dwarf killed the previous year's liaison. Or a siege did so, I don't remember... either way, I think the liaison died.
- Tons of elves visiting. And many of the sieges were elves too. No elven caravans. I think there was only one early after embark.
- I had recently breached another cavern layer before the crash. Also discovered a downward passage.

(0034357)
grayfox (reporter)
2016-01-08 08:17
edited on: 2016-01-08 08:55

The error popped up again.

- Building lots of walls
- Lots of jobs queued
- Werefox totally isloated underground with no escape path.
- Tons of elven visitors, like before
- Did not breach anymore cavern layers. Did not discover the downward passage

AND again. This time, seconds after unpausing, after a dwarf finished building a musical instrument artifact.

Both times, I was trying to build a wall overtop of up/down stairs

And then again. No artifacts being built this time.

(0034360)
Detros (manager)
2016-01-08 08:46

@grayfox: There is a cap for visitors in init files now. Initial value is 100, I think, that's why you have so many of them if you haven't changed it.
(0034361)
grayfox (reporter)
2016-01-08 09:02
edited on: 2016-01-08 09:13

Maybe I should lower that a bit

It happened again. I noticed a bunch of osprey women outside, which I never saw until now. I was not building anything over any stairs this time. I'm still not sure why the "item inaccessible" spam is happening. I tried forbidding all the stuff they couldn't access, but maybe I missed something.

I forgot to mention that this is my second fort on this world.

(0034363)
grayfox (reporter)
2016-01-08 09:23
edited on: 2016-01-08 09:43

I uploaded a new save, since the crash is happening frequently now.

http://dffd.bay12games.com/file.php?id=11628 [^]

I think it's always happening, every time now, after the "construct 30 rock cabinets" order completes.

(0035266)
Shonai_Dweller (reporter)
2016-05-22 00:01
edited on: 2016-05-26 16:25

Here's a save with a guaranteed Nemesis Unit Load Fail crash. World created and played in 43.02.
http://dffd.bay12games.com/file.php?id=12059 [^]


1) Fast travel to Tattoorush just to the South-West
2) Drop out of Fast Travel at the entrance to the main town (the buildings list should indicate the presence of "The Palace of Planning")
Game will crash.

Fast travelling to the other main site in Tattoorush doesn't crash, but walking manually back North should produce a crash.

The characters in the party are all originally from Tattoorush, but started in the sewers underneath the fortress that you can see just across the big river to the South. Whenever you start a character as a peasant from Tattoorush you end up starting in the sewer.

There are various modifications to entity_default and creature_standard to tweak the basic races, but no major changes.

(0037971)
George_Chickens (reporter)
2018-03-19 11:26

http://dffd.bay12games.com/file.php?id=13585 [^] This world started with corrupt areas which have the nemesis bug. Emetdastot, the Fresh Sword, the dwarf site, is the only tested site so far. I have tried creating multiple human adventurers there, but each of them have crashed the game.
(0038133)
Loci (manager)
2018-04-05 11:36

According to Toady One, missing or corrupted unit-#.dat files should be logged and regenerated in v0.44.10 instead of crashing. While this does not fix the underlying problems causing the corrupt files, it should be much less painful for players. Besides, a number of potential causes (disk corruption, etc.) are beyond the control of the game.

( http://www.bay12forums.com/smf/index.php?topic=170101.msg7728502#msg7728502 [^] )
(0038428)
Dwarfu (manager)
2018-06-03 19:05

Toady resolved 0009985 for this issue, so I agree that we should consign this report as well to the archives, since the internal handling of nemesis units changed, and we can start a new report should the need arise with fresh saves, all under the new mechanics.

- Issue History
Date Modified Username Field Change
2010-04-20 11:37 zombiejustice New Issue
2010-04-20 12:16 Footkerchief Note Added: 0004368
2010-04-20 14:17 zombiejustice Note Added: 0004382
2010-04-20 14:38 Footkerchief Note Added: 0004384
2010-05-03 17:36 Logical2u Relationship added related to 0001719
2010-05-25 13:10 Footkerchief Relationship replaced has duplicate 0001719
2010-05-25 13:11 Footkerchief Relationship added has duplicate 0002070
2010-07-02 20:31 Footkerchief Relationship added has duplicate 0002547
2010-07-03 03:22 Murphy Note Added: 0009565
2010-07-03 03:37 Murphy Note Edited: 0009565 View Revisions
2010-07-03 05:04 Footkerchief Relationship added related to 0002422
2010-07-03 05:05 Footkerchief Note Added: 0009569
2010-07-03 20:45 Murphy Note Added: 0009603
2010-07-03 21:27 Murphy Note Edited: 0009603 View Revisions
2010-07-15 03:10 Murphy Note Added: 0010328
2010-11-23 12:01 DarthCloakedDwarf Note Added: 0014181
2010-12-12 18:32 kwieland Note Added: 0014557
2012-02-20 15:54 Footkerchief Relationship added has duplicate 0005342
2012-02-24 05:08 Logical2u Relationship added has duplicate 0005420
2012-02-26 07:24 Footkerchief Relationship added related to 0005393
2012-02-26 07:24 Footkerchief Relationship deleted related to 0005393
2012-02-27 17:45 Footkerchief Relationship added has duplicate 0005486
2012-02-28 22:31 Khym Chanur Note Added: 0020893
2012-02-28 22:31 Khym Chanur Issue Monitored: Khym Chanur
2012-03-11 19:29 Nomlets Note Added: 0021391
2012-03-11 20:04 Footkerchief Summary "Nemesis Unit Load Failed" => "Nemesis Unit Load Failed" (from elves?)
2012-03-11 20:05 Footkerchief Note Added: 0021393
2012-03-22 21:46 XxoriginxX Note Added: 0021671
2012-03-22 22:15 XxoriginxX Note Added: 0021672
2012-04-20 15:41 se5a Note Added: 0022320
2012-04-20 16:24 se5a Issue Monitored: se5a
2012-05-06 21:16 abramul Note Added: 0022445
2012-05-10 11:41 se5a Note Added: 0022461
2012-05-11 05:48 Quietust Note Added: 0022463
2012-05-11 05:49 Quietust Note Edited: 0022463 View Revisions
2012-06-10 12:50 Detros Note Added: 0022944
2012-06-16 13:16 peetaur Note Added: 0023028
2012-06-17 11:04 peetaur Note Added: 0023036
2012-10-24 04:40 Dwarfu Relationship added has duplicate 0006232
2013-09-22 17:16 Footkerchief Relationship added has duplicate 0006369
2014-01-12 11:46 MeisBarry Note Added: 0024267
2014-07-14 11:35 Footkerchief Relationship added related to 0006463
2014-08-06 07:39 KtosoX Note Added: 0028445
2014-08-16 22:16 edmus Note Added: 0029157
2014-08-30 09:51 zlobtheking Note Added: 0029802
2014-08-30 17:37 4maskwolf Issue Monitored: 4maskwolf
2014-09-04 05:07 Footkerchief Relationship added related to 0008228
2014-10-28 22:33 Footkerchief Relationship added has duplicate 0008489
2015-06-02 18:44 Witty Note Added: 0032756
2016-01-07 14:55 Knight Otu Relationship added has duplicate 0009453
2016-01-07 14:55 Knight Otu Issue Monitored: grayfox
2016-01-07 14:55 Knight Otu Note Added: 0034351
2016-01-07 15:28 Detros Note Added: 0034353
2016-01-07 18:06 grayfox Note Added: 0034354
2016-01-07 19:07 grayfox Note Edited: 0034354 View Revisions
2016-01-07 22:08 grayfox Note Edited: 0034354 View Revisions
2016-01-07 22:09 grayfox Note Edited: 0034354 View Revisions
2016-01-07 22:10 grayfox Note Edited: 0034354 View Revisions
2016-01-07 22:12 grayfox Note Edited: 0034354 View Revisions
2016-01-08 08:17 grayfox Note Added: 0034357
2016-01-08 08:32 grayfox Note Edited: 0034357 View Revisions
2016-01-08 08:44 grayfox Note Edited: 0034357 View Revisions
2016-01-08 08:46 Detros Note Added: 0034360
2016-01-08 08:55 grayfox Note Edited: 0034357 View Revisions
2016-01-08 09:02 grayfox Note Added: 0034361
2016-01-08 09:13 grayfox Note Edited: 0034361 View Revisions
2016-01-08 09:23 grayfox Note Added: 0034363
2016-01-08 09:43 grayfox Note Edited: 0034363 View Revisions
2016-01-09 00:58 Hedede Issue Monitored: Hedede
2016-05-22 00:01 Shonai_Dweller Note Added: 0035266
2016-05-22 01:57 Shonai_Dweller Note Edited: 0035266 View Revisions
2016-05-26 16:25 Shonai_Dweller Note Edited: 0035266 View Revisions
2017-02-05 18:00 braiam Issue Monitored: braiam
2017-08-03 05:29 park66665 Issue Monitored: park66665
2017-11-29 13:11 Dwarfu Relationship added has duplicate 0010251
2017-11-29 13:19 Dwarfu Additional Information Updated View Revisions
2017-11-29 13:21 Dwarfu Assigned To => Dwarfu
2017-11-29 13:21 Dwarfu Status new => confirmed
2018-03-19 10:35 Loci Relationship added has duplicate 0010644
2018-03-19 11:26 George_Chickens Note Added: 0037971
2018-03-22 10:29 Loci Relationship added has duplicate 0010649
2018-04-05 11:36 Loci Note Added: 0038133
2018-06-03 19:05 Dwarfu Note Added: 0038428
2018-06-03 19:05 Dwarfu Relationship added duplicate of 0009985
2018-06-03 19:05 Dwarfu Status confirmed => resolved
2018-06-03 19:05 Dwarfu Resolution open => duplicate


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker